package com.vendor.burn.model.devices.unknown;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import java.util.ArrayList;

public class UDProperties {
  public static final String PROPERTY_PRESTEP0 = "PRESTEP0";
  
  public static final String PROPERTY_PRESTEP1 = "PRESTEP1";
  
  public static final String PROPERTY_DDRSTEP0 = "DDRSTEP0";
  
  public static final String PROPERTY_ADDRESS0 = "ADDRESS0";
  
  public static final String PROPERTY_ADDRESS1 = "ADDRESS1";
  
  public static final String PROPERTY_ADDRESS1_NOTNUDE = "ADDRESS1_NOTNUDE";
  
  public static final String PROPERTY_ADDRESS2 = "ADDRESS2";
  
  public static final String PROPERTY_FILELEN0 = "FILELEN0";
  
  public static final String PROPERTY_FILELEN1 = "FILELEN1";
  
  public static final String PROPERTY_STEPLEN0 = "STEPLEN0";
  
  public static final String PROPERTY_STEPLEN1 = "STEPLEN1";
  
  public static final String PROPERTY_STARTFRAMETIMEOUT = "STARTFRAMETIMEOUT";
  
  public static final String PROPERTY_FLASH_EMMC = "EMMC";
  
  public static final String PROPERTY_BADCHECK = "BADCHECK";
  
  public static final String PROPERTY_TYPE = "TYPE";
  
  public static final String PROPERTY_CA = "CA";
  
  public static final String PROPERTY_FS_EXT = "EXT";
  
  public static final String PROPERTY_FS_FAT32 = "FAT32";
  
  public static final String PROPERTY_FS_YAFFS = "YAFFS";
  
  public static final String PROPERTY_FS_SQUASHFS = "SQUASHFS";
  
  public static final String PROPERTY_FS_UBI = "UBIFS";
  
  public static final String PROPERTY_FEATURE_NANDBURN = "NANDBURN";
  
  public static final String PROPERTY_FEATURE_SPINANDBURN = "SPINANDBURN";
  
  public static final String PROPERTY_FEATURE_EMMCBURN = "EMMCBURN";
  
  public static final String PROPERTY_ONLYSERIAL = "ONLYSERIAL";
  
  public static final String PROPERTY_FLASH_NOT_NAND = "NOTNAND";
  
  public static final String PROPERTY_FLASH_NOT_SPI = "NOTSPI";
  
  public static final String PROPERTY_CHECKSUM = "CHECKSUM";
  
  public static final String PROPERTY_DDRBURN = "DDRBURN";
  
  public static final String PROPERTY_FLASH_EEPROM = "EEPROM";
  
  public static final String PROPERTY_LIGHT_DEBUG = "LIGHTDEBUG";
  
  public static final String PROPERTY_JTAGANDUSB2ETH = "JTAGANDUSB2ETH";
  
  public static final String PROPERTY_USB2ETH = "USB2ETH";
  
  public static final String PROPERTY_TFTPWIN = "TFTPWIN";
  
  public static final String PROPERTY_NOTSUPPORTNET = "NOTSUPPORTNET";
  
  public static final String PROPERTY_UART2COMPRESS = "UART2COMPRESS";
  
  public static final String PROPERTY_USB2I2C = "USB2I2C";
  
  public static final String PROPERTY_BURN_BY_LIB_BOOTROM = "BurnByLibBootrom";
  
  public static final String PROPERTY_DEBUG_DDRTRAINING = "DebugDDrTraining";
  
  public static final String PROPERTY_NAND_PINSAVEMODE = "NandPinSaveMode";
  
  public static final String PROPERTY_SPI_NAND_PINSAVEMODE = "SPINandPinSaveMode";
  
  public static final String PROPERTY_NAND_ALIGNMENT_TYPE = "NANDAlignmentType";
  
  public static final String PROPERTY_NAND_EMPTY = "NandEmpty";
  
  public static final String PROPERTY_SPI_NAND_EMPTY = "SPINandEmpty";
  
  public static final String PROPERTY_I2C_BOOTROM = "I2CBootrom";
  
  public static final String PROPERTY_DDR_TRAINING_DEBUG = "DDrTrainingDelay";
  
  public static final String PROPERTY_CHIPTYPE = "ChipType";
  
  public static final String PROPERTY_CHIPNAMETYPE = "ChipNameType";
  
  public static final String PROPERTY_REGBIN_CHIPVER1 = "RegbinChipVer1";
  
  public static final String PROPERTY_REGBIN_CHIPVER2 = "RegbinChipVer2";
  
  public static final String PROPERTY_ERASECHIP = "isEraseChip";
  
  public static final String PROPERTY_USB_VID = "vid";
  
  public static final String PROPERTY_USB_PID = "pid";
  
  public static final String PROPERTY_ISUSBNONNUDE = "isUsbNonNude";
  
  public static final String PROPERTY_USB_BOOTROM = "USBBootrom";
  
  public static final String PROPERTY_USB_NON_NUDE = "USBNonNude";
  
  public static final String PROPERTY_NET_NON_NUDE = "NETNonNude";
  
  public static final String PROPERTY_JTAG_AND_NET = "JTAGAndNet";
  
  public static final String PROPERTY_JTAG_AND_SERIAL = "JTAGAndSerial";
  
  public static final String PROPERTY_JTAG = "JTAG";
  
  public static final String PROPERTY_USB_AND_SERIAL = "UsbAndSerial";
  
  public static final String PROPERTY_SSD = "SSD";
  
  public static final String PROPERTY_GPT = "GPT";
  
  public static final String PROPERTY_COMMON_PARTITION = "CommonPartition";
  
  public static final String PROPERTY_UFS = "UFS";
  
  public static final int CHIPTYPE5_MIN = 512;
  
  public static final int CHIPTYPE5_MAX = 768;
  
  public static final String FLASH_INFO = "FlashInfo";
  
  public static final String LOADERPATH = "LoaderPath";
  
  public static final String LOADER_ADDRESS = "LoadBurnAddress";
  
  public static final String PART_INFO = "PartInfo";
  
  private ArrayList<UDProperty> properties = new ArrayList<>();
  
  protected UDProperty get(String key) {
    for (UDProperty prop : this.properties) {
      if (key.equals(prop.getKey()))
        return prop; 
    } 
    return null;
  }
  
  public boolean loadFromFile(String chipName) {
    return false;
  }
  
  public void set(String key, String value) {
    UDProperty prop = get(key);
    if (prop != null) {
      prop.setValue(value);
    } else {
      this.properties.add(new UDProperty(key, value));
    } 
  }
  
  public String queryForString(String key) {
    UDProperty prop = get(key);
    if (prop != null)
      return prop.getValue(); 
    return null;
  }
  
  public Integer queryForInteger(String key) {
    UDProperty prop = get(key);
    if (prop != null) {
      int rtValue;
      try {
        if (prop.getValue().toLowerCase().startsWith("0x")) {
          Long tmpNum = Long.valueOf(Long.parseLong(prop.getValue().substring(2), 16));
          rtValue = tmpNum.intValue();
        } else {
          rtValue = Integer.parseInt(prop.getValue());
        } 
      } catch (NumberFormatException e) {
        return null;
      } 
      return Integer.valueOf(rtValue);
    } 
    return null;
  }
}
